View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000049Sanny Builder[All Projects] compilerpublic2019-09-16 10:442019-10-26 20:43
Reporterdavidstrs 
Assigned ToSeemann 
PriorityhighSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformpcOSWindowsOS VersionWindows 10
Product Version3.3.0 
Target VersionFixed in Version3.3.2 
Summary0000049: when compiling opcodes set to unknown and game crashed
Descriptionwhen compiling opcodes set to unknown and game crashed
Additional Informationwhen compiling opcodes set to unknown and game crashed

trust me man it was good when it was 3.2 version i shouldn't update this crap
TagsNo tags attached.
Attached Filespng file icon SRzpk4P - Imgur.png [^] (122,641 bytes) 2019-09-16 10:44

- Relationships
has duplicate 0000051resolvedSeemann Опкод 0A8E неправильно компилируется/декомпилируется (unknownRemaster1) 

-  Notes
(0000052)
Seemann (administrator)
2019-09-23 02:26

davidstrs,

let me clarify, is the issue that the same code works fine when compiled with Sanny Builder < 3.3.0 and crashes with 3.3.0+ ? Can you share the full source code so I can try to investigate it more?
(0000059)
Seemann (administrator)
2019-10-15 02:44

For some reason a few mobile opcodes sneaked into desktop definitions. You can open SASCM.ini and remove these from the end:

0A52=1,
0A5B=6,unknownRemaster0
0A6F=1,
0A78=2,
0A79=2,
0A8E=1,unknownRemaster1 %1d%
0A8F=0,unknownRemaster2
0A90=1, unknownRemaster3 %1d%

It should make CLEO opcodes work fine

- Issue History
Date Modified Username Field Change
2019-09-16 10:44 davidstrs New Issue
2019-09-16 10:44 davidstrs Status new => assigned
2019-09-16 10:44 davidstrs Assigned To => Seemann
2019-09-16 10:44 davidstrs File Added: SRzpk4P - Imgur.png
2019-09-23 02:26 Seemann Note Added: 0000052
2019-09-23 02:27 Seemann Status assigned => feedback
2019-10-15 02:44 Seemann Relationship added has duplicate 0000051
2019-10-15 02:44 Seemann Note Added: 0000059
2019-10-26 20:43 Seemann Status feedback => resolved
2019-10-26 20:43 Seemann Fixed in Version => 3.3.2
2019-10-26 20:43 Seemann Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker